--- configure.in.orig	2006-01-09 12:35:38.000000000 -0600
+++ configure.in	2006-01-09 12:35:51.000000000 -0600
@@ -745,6 +745,21 @@
 AC_SUBST(CC_SHOBJ_FLAG)
 AC_SUBST(BUILD_POPT)
 
+
+#################################################
+# check for extended attribute support
+AC_MSG_CHECKING(whether to support extended attributes)
+AC_ARG_ENABLE(ea-support,
+	AC_HELP_STRING([--enable-ea-support],
+		[allow support for copying extended attributes (default no)]),
+		[], [])
+AC_MSG_RESULT($enable_ea_support)
+if test x"$enable_ea_support" == x"yes"; then
+  AC_DEFINE(EA_SUPPORT, 1, [true if ea support enabled])
+  AC_CHECK_FUNCS(copyfile)
+  AC_CHECK_HEADERS(copyfile.h)
+fi
+
 AC_CONFIG_FILES([Makefile lib/dummy zlib/dummy popt/dummy shconfig])
 AC_OUTPUT
 
